#!/usr/bin/env bash

SCRIPT_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)

. "${SCRIPT_DIR}/service-has-active-nodes.sh"

wait-for-service-up() {
	local -r service="${1}"; shift
	local -i rc=1

	while [[ $rc -ne 0 ]]; do
		service-has-active-nodes "$service"
		[[ $? -eq 0 ]] && break;
		sleep 5
	done
}

while [[ $# -gt 0 ]]; do
	echo "$(date --rfc-3339=s):  Waiting for service \"$1\" to become available."
	wait-for-service-up "$1"
	echo "$(date --rfc-3339=s):  Service \"$1\" is now available."
	shift
done

exit 0
